
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% isovoxel_vmr.m
% Script to make a VMR isovoxel
% 
% Works with BrainVoyager QX 2.2 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

bvqx = actxserver('BrainVoyagerQX.BrainVoyagerQXScriptAccess.1');
bvqx.ShowLogTab;
[FileName,PathName] = uigetfile('*.vmr','Please select the anatomical data file...');
vmrfilename = strcat(PathName, FileName);
vmrproject = bvqx.OpenDocument(vmrfilename);
bvqx.PrintToLog('Start isovoxelating VMR...');
[pathstr,name,ext,versn] = fileparts(vmrfilename);
isovmrfilename = fullfile(pathstr, [name '_ISO' ext]);
success = vmrproject.AutoTransformToIsoVoxel(1, isovmrfilename);
bvqx.PrintToLog(['Saving ' isovmrfilename '...']);	
isoproject = bvqx.OpenDocument(isovmrfilename);
h = msgbox(['The isovoxel file can be found at ' isovmrfilename]);
uiwait(h);
